# Name_Space.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/SString.h"`
`#include "ace/Unbounded_Set.h"`

Include dependency graph for Name_Space.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Name_Binding
| Maintains a mapping from name to value and type. More...
class | ACE_Name_Space
| Abstract base class that provides an abstract interface to the database without exposing any implemenation details. More...

## Typedefs

typedef ACE_Unbounded_Set< ACE_Name_Binding > | ACE_BINDING_SET
typedef ACE_Unbounded_Set_Iterator< ACE_Name_Binding > | ACE_BINDING_ITERATOR
typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_PWSTRING_SET
typedef ACE_Unbounded_Set_Iterator< ACE_NS_WString > | ACE_PWSTRING_ITERATOR

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_WSTRING_SET

## Detailed Description

Id
  Name_Space.h,v 4.20 2005/10/28 16:14:53 ossama Exp

Author:
  Prashant Jain

## Typedef Documentation

typedef ACE_Unbounded_Set_Iterator<ACE_Name_Binding> ACE_BINDING_ITERATOR

typedef ACE_Unbounded_Set<ACE_Name_Binding> ACE_BINDING_SET

typedef ACE_Unbounded_Set_Iterator<ACE_NS_WString> ACE_PWSTRING_ITERATOR

typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_PWSTRING_SET

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_WSTRING_SET